#version 330

layout(location = 0) in vec3 in_position;
layout(location = 1) in vec2 in_tex;
layout(location = 2) in vec4 in_color;

out vec4 pass_color;
out vec2 pass_tex;

uniform mat4 proViewMatrix;

void main()
{
	gl_Position = proViewMatrix * vec4(in_position, 1.0);
	pass_color = in_color;
	pass_tex = in_tex;
}